VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

Public Types | Public Attributes | List of all members
ParameterInfo Struct Reference

Controller Parameter Info. More...

`#include <ivsteditcontroller.h>`

## Public Types
enum | ParameterFlags : int32 { kNoFlags = 0 , kCanAutomate = 1 << 0 , kIsReadOnly = 1 << 1 , kIsWrapAround = 1 << 2 , kIsList = 1 << 3 , kIsHidden = 1 << 4 , kIsProgramChange = 1 << 15 , kIsBypass = 1 << 16 }

## Public Attributes
ParamID | id
| unique identifier of this parameter (named tag too) More...
String128 | title
| parameter title (e.g. "Volume") More...
String128 | shortTitle
| parameter shortTitle (e.g. "Vol") More...
String128 | units
| parameter unit (e.g. "dB") More...
int32 | stepCount
| number of discrete steps (0: continuous, 1: toggle, discrete value otherwise (corresponding to max - min, for example: 127 for min = 0 and max = 127) - see vst3ParameterIntro) More...
ParamValue | defaultNormalizedValue
| default normalized value [0,1] in case of discrete value: defaultNormalizedValue = defDiscreteValue/stepCount More...
UnitID | unitId
| id of unit this parameter belongs to (see vst3Units) More...
int32 | flags
| ParameterFlags (see below) More...

## Detailed Description

Controller Parameter Info.

A parameter info describes a parameter of the controller. The id must always be the same for a parameter as this uniquely identifies the parameter.

## Member Enumeration Documentation

## ◆ ParameterFlags

enum ParameterFlags : int32

Enumerator
kNoFlags | No flags wanted. [SDK 3.0.0]
kCanAutomate | Parameter can be automated. [SDK 3.0.0]
kIsReadOnly | Parameter cannot be changed from outside the plug-in (implies that kCanAutomate is NOT set). [SDK 3.0.0]
kIsWrapAround | Attempts to set the parameter value out of the limits will result in a wrap around. [SDK 3.0.2]
kIsList | Parameter should be displayed as list in generic editor or automation editing. [SDK 3.1.0]
kIsHidden | Parameter should be NOT displayed and cannot be changed from outside the plug-in. It implies that kCanAutomate is NOT set and kIsReadOnly is set. [SDK 3.7.0]
kIsProgramChange | Parameter is a program change (unitId gives info about associated unit - see vst3ProgramLists). [SDK 3.0.0]
kIsBypass | Special bypass parameter (only one allowed): plug-in can handle bypass. Highly recommended to export a bypass parameter for effect plug-in. [SDK 3.0.0]

## Member Data Documentation

## ◆ id

ParamID id

unique identifier of this parameter (named tag too)

## ◆ title

String128 title

parameter title (e.g. "Volume")

## ◆ shortTitle

String128 shortTitle

parameter shortTitle (e.g. "Vol")

## ◆ units

String128 units

parameter unit (e.g. "dB")

## ◆ stepCount

int32 stepCount

number of discrete steps (0: continuous, 1: toggle, discrete value otherwise (corresponding to max - min, for example: 127 for min = 0 and max = 127) - see vst3ParameterIntro)

## ◆ defaultNormalizedValue

ParamValue defaultNormalizedValue

default normalized value [0,1] in case of discrete value: defaultNormalizedValue = defDiscreteValue/stepCount

## ◆ unitId

UnitID unitId

id of unit this parameter belongs to (see vst3Units)

## ◆ flags

int32 flags

ParameterFlags (see below)

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.